# 服务模板说明文档

## 服务说明

**简单描述服务的功能和用途。**  
例如：  
_（服务功能描述，如“WordPress 是一款免费开源的 CMS，适用于创建和管理各种类型的网站。”）_

_（服务快速上手链接或文档，如果有的话）_

## 服务架构

此服务模板构建出的服务的部署架构为单机ecs部署。

<img src="architecture_ecs_single.png" width="600" height="400" align="bottom"/>

## 计费说明
通过此服务模板构建服务不产生费用。  
用户部署构建出的服务时，资源费用主要涉及：
- 所选ECS实例规格
- 磁盘容量
- 公网带宽

计费方式包括：
- 按量付费（小时）
- 包年包月

预估费用在部署前可实时看到。

## RAM账号所需权限

此服务模板构建出的服务需要对ECS、VPC等资源进行访问和创建操作，若使用RAM用户创建服务实例，需要在创建服务实例前，对使用的RAM用户的账号添加相应资源的权限。添加RAM权限的详细操作，请参见[为RAM用户授权](https://help.aliyun.com/document_detail/121945.html)。所需权限如下表所示：

| 权限策略名称                              | 备注                            |
|-------------------------------------|-------------------------------|
| AliyunECSFullAccess                 | 管理云服务器服务（ECS）的权限              |
| AliyunVPCFullAccess                 | 管理专有网络（VPC）的权限                |
| AliyunROSFullAccess                 | 管理资源编排服务（ROS）的权限              |
| AliyunComputeNestUserFullAccess     | 管理计算巢服务（ComputeNest）的用户侧权限    |
| AliyunComputeNestSupplierFullAccess | 管理计算巢服务（ComputeNest）的服务商侧权限 ｜ |

## 服务实例计费说明

**详细说明服务实例的计费方式。**  
_（描述费用构成，例如所选 vCPU 和内存规格，系统盘类型和容量等）_

_（列出计费方式，例如按量付费或包年包月）_

## 服务实例部署流程

### 部署参数说明

| 参数组                             | 参数项    | 说明                                                                      |
|---------------------------------|--------|-------------------------------------------------------------------------|
| 服务实例                            | 服务实例名称 | 长度不超过64个字符，必须以英文字母开头，可包含数字、英文字母、短划线（-）和下划线（_）。                          |
|                                 | 地域     | 服务实例部署的地域。                                                              |
|                                 | 付费类型   | 资源的计费类型：按量付费和包年包月。                                                      |
| ECS实例配置                         | 实例类型   | ECS实例规格配置。                                                              |
|                                 | 实例密码   | 长度8-30，必须包含三项（大写字母、小写字母、数字、 ()`~!@#$%^&*-+=&#124;{}[]:;'<>,.?/ 中的特殊符号）。 |
| 网络配置                            | 可用区    | ECS实例所在可用区。                                                             |

### 部署步骤

**简述如何一步步部署服务实例。**  

1. _（步骤1描述和相关链接或图片，如果有的话）_
2. _（步骤2描述和相关链接或图片，如果有的话）_
...

[部署链接](部署链接地址)